<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Category;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$cat = new Category;

$c = $cat->get((int) qg('id'));

if (!$c) {
	throw new UserException("Cette catégorie n'existe pas.");
}

$eqmts = $cat->listAllEquipments($c->id);

$eqmt = new Equipment;

list($eqmts_owned, $eqmts_no_owned, $eqmts_just_listed) = $eqmt->AllListsAll($eqmts);

$cat_name = $c->name;

$return_link = PLUGIN_URL . 'categories/index.php';

$tpl->assign(compact(
	'cat_name', 'eqmts_owned', 'eqmts_no_owned', 'eqmts_just_listed', 'return_link'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/materiels_par_categorie.tpl');
